
function [Uc,Uh]=Ces_derivatives(C,H,S);
global Parameters

sigma=Parameters.sigma;
rho=Parameters.rho;
h_share=Parameters.h_share;
c_share=1-h_share;

%% S denotes household size

if(numel(C)>numel(S)) %%tehdn mys S:st 3-dim array: j,t,type
    SS=zeros(Parameters.J,Parameters.T,Parameters.nTypes);
    for t=1:Parameters.T
        for j=1:Parameters.J;
            for type=1:Parameters.nTypes;
                SS(j,t,type)=S(j,type);
                if(C(j,t,type)<1e-5)
                    C(j,t,type)=1e-5;
                end;
                if(H(j,t,type)<1e-5)
                    H(j,t,type)=1e-5;
                end;
            end
        end
    end
    S=SS;
end;

%% Per capita consumption levels are:
C=C./S;
H=H./S;

%% utility per capita is given by
%% u(C,H;S)=S*Q^((1-sigma)/rho)/(1-sigma) where 
%% Q = c_share*C^rho+h_share*H^rho if rho is not zero     
%% Q = C^c_share*H^h_share if rho=0.


if (rho==0)
   Q=(C.^c_share).*H.^h_share;
   Uc=c_share*Q.^(1-sigma).*C.^(-1);
   Uh=h_share*Q.^(1-sigma).*H.^(-1);
else
   Q=c_share*C.^rho+h_share*H.^rho;
   aux=((1-sigma)/rho)-1;
   Uc=c_share*Q.^aux.*C.^(rho-1);
   Uh=h_share*Q.^aux.*H.^(rho-1);
end;


