function SetProfiles
global Parameters;

Parameters.J=12;%number of periods in a life cycle
Parameters.T=14;%number of transition periods
Parameters.nTypes=5;

Parameters.masses=ones(Parameters.nTypes,1);   % Shares of diff. households types 
Parameters.y=ones(Parameters.J,1);             % Productivity profile
Parameters.s=ones(Parameters.J+1,Parameters.nTypes);      % Household size over the life cycle

%Income profile

Parameters.y(1)=0.93;   %25-28      % Relative disposable incomes from Wealth Survey for different age groups
Parameters.y(2)=0.99;   %29-32
Parameters.y(3)=1.09;   %33-36
Parameters.y(4)=1.11;   %37-40
Parameters.y(5)=1.11;   %41-44
Parameters.y(6)=1.01;   %45-48
Parameters.y(7)=1.01;   %49-52
Parameters.y(8)=0.85;   %53-56
Parameters.y(9)=0.84;   %57-60
Parameters.y(10)=0.60;  %61-64
Parameters.y(11)=0.60;  %65-68
Parameters.y(12)=0.60;  %69-72
Parameters.y=4*Parameters.y;


% Share of each household type of total population

Parameters.masses(1)=0.25;
Parameters.masses(2)=0.31;
Parameters.masses(3)=0.12;
Parameters.masses(4)=0.16;
Parameters.masses(5)=0.16;

% Household size for all five household types 

Parameters.s(1,1)=2.7;
Parameters.s(2,1)=2.7;
Parameters.s(3,1)=2.7;
Parameters.s(4,1)=2.7;
Parameters.s(5,1)=2.7;
Parameters.s(6,1)=1.7;
Parameters.s(7,1)=1.7;   
Parameters.s(8,1)=1.7;

Parameters.s(1,2)=1.7;
Parameters.s(2,2)=2.7;
Parameters.s(3,2)=2.7;
Parameters.s(4,2)=2.7;
Parameters.s(5,2)=2.7;
Parameters.s(6,2)=2.7;
Parameters.s(7,2)=1.7;   
Parameters.s(8,2)=1.7;

Parameters.s(1,3)=1.7;
Parameters.s(2,3)=1.7;
Parameters.s(3,3)=2.7;
Parameters.s(4,3)=2.7;
Parameters.s(5,3)=2.7;
Parameters.s(6,3)=2.7;
Parameters.s(7,3)=2.7;   
Parameters.s(8,3)=1.7;

Parameters.s(1,4)=1.7;
Parameters.s(2,4)=1.7;
Parameters.s(3,4)=1.7;
Parameters.s(4,4)=2.7;
Parameters.s(5,4)=2.7;
Parameters.s(6,4)=2.7;
Parameters.s(7,4)=2.7;   
Parameters.s(8,4)=2.7;

Parameters.s(9:13,1:4)=1.7;

Parameters.s(:,5)=1.7;
