function z=SolveSS(ExogSSPrices)
global Parameters;

J=Parameters.J;
nTypes=Parameters.nTypes;

% Create guess: c,h,lambda (lagrange multiplier for budget
% constraint),gamma (kuhn-tucker multiplier for down payment constraint)

SSguess.c=2.5*ones(J,nTypes);
SSguess.h=2.5*ones(J,nTypes);
SSguess.lambda=0.2*ones(J,nTypes);
SSguess.gamma=0.02*ones(J,nTypes);

if Parameters.theta(1)<0.5
    SSguess.gamma(1:6,:)=0.1;
end
   

SSguess.p=1;

guess=SS2vec(SSguess);

[x,errors_ss] = fsolve('Errors4SS',guess,Parameters.opts,ExogSSPrices);
max_error=max(abs(errors_ss));
if max_error>Parameters.tol
    disp('SS NOT solved accurately')
end

z=vec2SS(x,ExogSSPrices);
