
function SS=calibrate(ExogSSPrices)
global Parameters
 
%When calibrating, we set house price=1 and let the supply equal demand. 
Parameters.fixed_house_stock=0; 

if (Parameters.theta(1)==0.75) 
    guess(1)=0.95;%beta
    guess(2)=0.2070;%h_share
    guess(3)=0.94212;%b_share
else
    guess(1)=0.9542;
    guess(2)=0.2062;
    guess(3)=0.9268;
end;

[z,target_errors]=fsolve('errors4calibration',guess,Parameters.opts,ExogSSPrices);

if max(abs(target_errors))>Parameters.tol
    disp('calibration targets NOT matched accurately!')
else
    disp('calibration targets matched')
end

Parameters.beta=z(1);
Parameters.h_share=z(2);
Parameters.b_share=z(3);

%find the associated SS
SS=SolveSS(ExogSSPrices);

%%set the housing stock
Parameters.fixed_house_stock=1;
Parameters.house_stock=SS.Hsum;


