 function z=vec2Transition(v,Init_dist,ExogPrices,Final_SS)
global Parameters; 

nTypes=Parameters.nTypes;
T=Parameters.T;
J=Parameters.J;
kappa=Parameters.kappa;
cost=Parameters.cost;
R=ExogPrices.R;
wage=ExogPrices.wages;
y=Parameters.y;

nTr=T;
L=length(v);
aux=reshape(v(1:L-nTr),4*J,nTr,nTypes);
C=aux(1:J,:,:);
H=aux(J+1:2*J,:,:);
LAMBDA=aux(2*J+1:3*J,:,:);
GAMMA=aux(3*J+1:4*J,:,:);
p=ones(T,1);
p=v(L-nTr+1:L);

A=zeros(J,T,nTypes);    % financial savings for each cohort, each household type in each period of transition
b=zeros(T+1,nTypes);        % terminal wealth for each household type in each period of transition
Mortgage=zeros(T,1);    % mortgage stock in each period of transtion
TotalC=zeros(T,1);      % total non-housing consumption in each period of transtion

pp=[p;Final_SS.p];

for i=1:nTypes
    for t=1:T
        for j=1:J % household age
            if(j==1)
                A(j,t,i)=wage(t)*y(j)-C(j,t,i)-(p(t)+kappa*p(t)+cost)*H(j,t,i);
            elseif(t==1)
                A(j,t,i)=wage(t)*y(j)-C(j,t,i)-(p(t)+kappa*p(t)+cost)*H(j,t,i)+R(t)*Init_dist.a(j-1,i)+p(t)*Init_dist.h(j-1,i);
            else
                A(j,t,i)=wage(t)*y(j)-C(j,t,i)-(p(t)+kappa*p(t)+cost)*H(j,t,i)+R(t)*A(j-1,t-1,i)+p(t)*H(j-1,t-1,i);
            end;
            TotalC(t)=TotalC(t)+Parameters.masses(i)*C(j,t,i);
            if(A(j,t,i)<0)
                Mortgage(t)=Mortgage(t)-Parameters.masses(i)*A(j,t,i);
            end;
        end;
    end;
end;

% given A and H, can determine terminal wealth:

for i=1:nTypes
    for t=1:T+1
        if(t==1)
            b(t,i)=R(t)*Init_dist.a(J,i)+pp(t)*Init_dist.h(J,i);
        else
            b(t,i)=R(t)*A(J,t-1,i)+pp(t)*H(J,t-1,i);
        end;
    end;
end;

z.C=C;
z.H=H;
z.GAMMA=GAMMA;
z.LAMBDA=LAMBDA;
z.p=p;
z.A=A;
z.b=b;
z.Mortgage=Mortgage;
z.TotalC=TotalC;